So, I'm trying to figure out a way to use Transmission 1.75 instead of 1.06 (& the newest version of the Clutch web interface (also 1.75), instead of 0.4) for this guide

Transmission on AppleTV - AwkwardTV

I'm wondering if it's even possible or am I stuck at the old versions due to the AppleTV OS still being based off of 10.4.8? Any help would be amazing.